<?php

namespace Maestro\Core\Console\Commands;

use Illuminate\Console\Command;

class UpdateCommand extends Command
{
    protected $signature   = 'maestro:update';
    protected $description = 'Update Maestro core in this project';

    public function handle(): void
    {
        $this->info('Updating Maestro...');
        $this->call('migrate');
        $this->newLine();
        $this->info('✓ Maestro updated successfully.');
    }
}
